window.InitUserScripts = function()
{
var player = GetPlayer();
var object = player.object;
var addToTimeline = player.addToTimeline;
var setVar = player.SetVar;
var getVar = player.GetVar;
window.Script1 = function()
{
  var styles = `
@media print {
body, * { visibility: hidden; }
html, body { overflow: hidden; transform: translateZ(0); }
#slide {
transform: scale(1) !important; # Adjusted scale to 1 (no zoom)
}
#wrapper {
transform: scale(1) !important;
}
#slide,
#wrapper {
width: 100% !important;
height: 100% !important;
overflow: visible !important;
}
#frame {
overflow: visible !important;
}
.slide-transition-container {
overflow: visible !important;
}
@page {
size: A4 landscape;
max-height: 99%;
max-width: 99%;
}
.slide-container, .slide-container * {
visibility: visible !important;
margin-top: 0px !important;
margin-left: 0px !important;
}
#outline-panel {
display: none !important;
}
}
`;

var stylesheet = document.createElement('style');
stylesheet.type = 'text/css';
stylesheet.innerText = styles;
document.head.appendChild(stylesheet);
window.print();
}

window.Script2 = function()
{
  // Get the Storyline player
var player = GetPlayer();

// Get the True/False variables
var selectedLanguageEN = player.GetVar("SelectedLanguageEN");
var selectedLanguageSP = player.GetVar("SelectedLanguageSP");

// Adjust the menu based on the selected language
var menuItems = window.parent.document.querySelectorAll(".menu-item");
menuItems.forEach(function (item) {
    if (selectedLanguageEN && item.getAttribute("data-sceneid") === "Scene2") {
        item.style.display = "none"; // Hide Spanish scene (Scene 2)
    } else if (selectedLanguageSP && item.getAttribute("data-sceneid") === "Scene1") {
        item.style.display = "none"; // Hide English scene (Scene 1)
    }
});

}

window.Script3 = function()
{
  var styles = `
@media print {
body, * { visibility: hidden; }
html, body { overflow: hidden; transform: translateZ(0); }
#slide {
transform: scale(1) !important; # Adjusted scale to 1 (no zoom)
}
#wrapper {
transform: scale(1) !important;
}
#slide,
#wrapper {
width: 100% !important;
height: 100% !important;
overflow: visible !important;
}
#frame {
overflow: visible !important;
}
.slide-transition-container {
overflow: visible !important;
}
@page {
size: A4 landscape;
max-height: 99%;
max-width: 99%;
}
.slide-container, .slide-container * {
visibility: visible !important;
margin-top: 0px !important;
margin-left: 0px !important;
}
#outline-panel {
display: none !important;
}
}
`;

var stylesheet = document.createElement('style');
stylesheet.type = 'text/css';
stylesheet.innerText = styles;
document.head.appendChild(stylesheet);
window.print();
}

};
